package car;

public class CarImpl implements ICar {
	
	public void setFrontDoorState(boolean isOpened) {
		if (isOpened) {
			CarStateEP.fireEvent(CarStateEP.E101);
		} else {
			CarStateEP.fireEvent(CarStateEP.E102);
		}
	}
	
	public void setRearDoorState(boolean isOpened) {
		if (isOpened) {
			CarStateEP.fireEvent(CarStateEP.E103);
		} else {
			CarStateEP.fireEvent(CarStateEP.E104);
		}
	}

	public void setHoodState(boolean isOpened) {
		if (isOpened) {
			CarStateEP.fireEvent(CarStateEP.E105);
		} else {
			CarStateEP.fireEvent(CarStateEP.E106);
		}
	}
	
	public void setBootState(boolean isOpened) {
		if (isOpened) {
			CarStateEP.fireEvent(CarStateEP.E107);
		} else {
			CarStateEP.fireEvent(CarStateEP.E108);
		}
	}
	
	public void setIgnitionState(boolean isOn) {
		if (isOn) {
			CarStateEP.fireEvent(CarStateEP.E109);
		} else {
			CarStateEP.fireEvent(CarStateEP.E110);
		}
	}

	public void setCentralLockState(boolean isLocked) {
		if (isLocked) {
			CarStateEP.fireEvent(CarStateEP.E111);
		} else {
			CarStateEP.fireEvent(CarStateEP.E112);
		}
	}

	public void setShock(boolean isLight) {
		if (isLight) {
			CarStateEP.fireEvent(CarStateEP.E113);
		} else {
			CarStateEP.fireEvent(CarStateEP.E114);
		}
	}
}
